HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetSkus

Contains the different functions to run the operation getSkus

  • 3 types
  • 3 values
valuegetSkus
  1. :: MonadHTTP m
  2. => GetSkusParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetSkusResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/skus

<p>Returns a list of your SKUs. The SKUs are returned sorted by creation date, with the most recently created SKUs appearing first.</p>

datadata GetSkusParameters
#

Defines the object schema located at paths./v1/skus.GET.parameters in the specification.

Constructors

  • GetSkusParameters
    • getSkusParametersQueryActive :: Maybe Bool

      queryActive: Represents the parameter named 'active'

      Only return SKUs that are active or inactive (e.g., pass `false` to list all inactive products).

    • getSkusParametersQueryAttributes :: Maybe Object

      queryAttributes: Represents the parameter named 'attributes'

      Only return SKUs that have the specified key-value pairs in this partially constructed dictionary. Can be specified only if `product` is also supplied. For instance, if the associated product has attributes `["color", "size"]`, passing in `attributes[color]=red` returns all the SKUs for this product that have `color` set to `red`.

    • getSkusParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getSkusParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getSkusParametersQueryIds :: Maybe [Text]

      queryIds: Represents the parameter named 'ids'

      Only return SKUs with the given IDs.

    • getSkusParametersQueryInStock :: Maybe Bool

      queryIn_stock: Represents the parameter named 'in_stock'

      Only return SKUs that are either in stock or out of stock (e.g., pass `false` to list all SKUs that are out of stock). If no value is provided, all SKUs are returned.

    • getSkusParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getSkusParametersQueryProduct :: Maybe Text

      queryProduct: Represents the parameter named 'product'

      The ID of the product whose SKUs will be retrieved. Must be a product with type `good`.

      Constraints:

      • Maximum length of 5000

    • getSkusParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON
datadata GetSkusResponse
#

Represents a response of the operation getSkus.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetSkusResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/skus.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON